<template>
    <div class="settings_push">
        <div class="settings_block">
            <div class="settings_block__push_logo">
                <div class="settings_block__content push_logo flex-wrap">
                    <div class="col-12 settings_block__item upload_item">
                        <div class="title push__title">Push with logo</div>
                        <span class="desc push__desc">
                            * You can add your logo to a push notification. This logo will be used by default for Welcome Push and Push Campaigns. Recommended size 200X200
                        </span>
                        <Upload ref="upload" :maxFilesize="5" v-model="avatar" @uploadFile="uploadLogo"/>
                    </div>
                </div>
                <Example :avatar="avatar" @removeLogo="removeLogo"/>
            </div>
        </div>
    </div>
</template>

<script>
import Upload from "@/components/elements/Upload.vue";
import Example from '@/components/settings/tabs/push/Example.vue'
import {ajaxPost, ajaxDelete} from '@/helpers/ajax'
import shop from '@/mixins/shop.service'

export default {
  components: {
    Upload,
    Example
  },
  data() {
    return {
      items: [
        { key: "timezone", value: "" },
        { key: "quiet_hours", value: "", active: false },
        { key: "safe_send", value: "", active: false },
        { key: "countries", value: "", dropdown: false },
        { key: "max_sms_price", value: "", active: false },
      ],
      avatar: this.$store.state.shop.shop.logo,
      firstUpload: true,
    };
  },
  mixins: [shop],
  methods: {
    async uploadLogo(file) {
      if(!this.avatar || !this.firstUpload) {
          const formData = new FormData()
          formData.append('file',file)
          await ajaxPost('/setting/update-logo', formData, 'user')
          this.$notify({
             type: 'success',
             title: 'Logo uploaded'
           })
          this.loadShop()
      }
      if(this.firstUpload) this.firstUpload = false
    },
    save(type) {
      const emitObj = {}
        if(type) emitObj.type = 'changeTab'
        this.$emit('save', emitObj)
    },
    async deleteLogo(file) {
       await ajaxDelete('/setting/delete-logo', '', 'user')
    },
    async removeLogo() {
        const data = await ajaxDelete('/setting/delete-logo', '', 'user')

        if(data.status == 200) {
          this.$refs.upload.removeFile()
          this.$notify({
             type: 'success',
             title: 'Logo deleted'
           })
        }
        this.loadShop()

    },
    loadShop() {
        this.getShop(true)
    },
  },
};
</script>

<style lang="scss" scoped>
@import "../../../../css/settings/index.scss";
.settings_block .push__title {
    margin-bottom: 0;
}
.upload_item {
  .desc {
    width: 100%;
    margin-bottom: 15px;
    margin-top: 5px;
  }
}

@media (min-width: 768px) {
  .push_logo {
    padding-right: 34px;
    padding-left: 34px;
  }
}
.remove_logo {
    display: block;
    font-weight: 500;
    margin-left: auto;
}
.example {
    margin-bottom: 17px;
}
</style>

<style lang="scss">
    .settings_push .dropzone .dz-preview .dz-progress {
        display: none;
    }
</style>
